package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.vo.DataHomeDataVo;

import java.util.List;
import java.util.Map;

/**
* @Description: 发改决策分析支撑服务层
*/
public interface DataHomeService {

    IPage<DataHomeDataVo> getData(Page<Object> page, String regionCode, String startTime, String endTime, String tradeCode, String tradeType, String tradeStr);

    IPage<DataHomeDataVo> getElectricityData(Page<Object> page, String regionCode, String startTime, String endTime, String tradeCode, String tradeType, String tradeStr);

    List<Map<String, String>> getTradeRanking(String startTime, String endTime, String tradeType, String tradeStr);

    Map<String, String> getTradeTotal(String startTime, String endTime, String tradeType, String tradeStr);

    List<Map<String, String>> getTradeTrends(String[] yearArr, String tradeType, String tradeStr);

    List<Map<String, String>> getRegionTrends(String[] yearArr, String tradeStr);

    List<Map<String,String>> getElectricityDatas(String regionCode, String startTime, String endTime, String tradeCode, String tradeType, String type, String tradeStr);

    IPage<DataHomeDataVo> getTrendsDetail(Page page, String regionCode, String[] yearArr, String tradeCode, String tradeType, String tradeStr);

    Map<String, Object> getEnergyConsumption(String startTime, String endTime, String tradeType, String type, String tradeStr, String energyStr);

    IPage<DataHomeDataVo> getEnergyConsumptionDetail(Page page, String startTime, String endTime, String tradeType, String tradeCode, String energyName, String tradeStr, String energyStr);

    List<Map<String,String>> getOverLimit(String startTime, String endTime);

    List<Map<String,String>> getOverLimitDetail(String startTime, String endTime, String regionCode,String tradeStr,String type);
}
